#include "xpackedunitvec.h"

XPackedUnitVec::XPackedUnitVec()
    : XAsset()
    , mPacked(0)
{
    SetName("Packed Unit Vec");
}

void XPackedUnitVec::ParseData(XDataStream *aStream)
{
    *aStream >> mPacked;
    if (IsDebug())
    {
        qDebug() << QString("[%1] mPacked = %2").arg(aStream->device()->pos(), 10, 10, QChar('0')).arg(mPacked);
    }
}

void XPackedUnitVec::Clear()
{
    
}
